
def random_particle_system(arg1, arg2):
    from direct.showbase.ShowBase import ShowBase
    from panda3d.core import loadPickle
    from panda3d粒子系统 import ParticleSystem

    class ParticleSystemApp(ShowBase):
        def __init__(self):
            ShowBase.__init__(self)
            self.particles = ParticleSystem('particles')
            self.particles.setPoolSize(30)
            self.particles.setMass(1.0)
            self.particles.setCharge(-1.0)
            self.particles.setLifespan(10.0)
            self.particles.setGravity(3.0, -9.81, 0.0)
            self.particles.setAngularVelocity(0.0, 0.0, 0.0)
            self.particles.setInitialVelocity(0.0, 0.0, 3.0)
            self.particles.setParticleSize(1.0, 5.0, 1.0, 1.0, 5.0)
            self.particles.setParticlesPerSecond(10.0)
            self.particles.setRenderMode('point')
            self.particles.setAmbientLight((0.5, 0.5, 0.5, 1))
            self.particles.setColor(1.0, 0.0, 0.0, 1.0)
            self.particles.setAlphaMode('fadeout')
            self.particles.setLifeAlpha(1.0, 0.0)
            self.particles.setStartSize(1.0)
            self.particles.setEndSize(5.0)
            self.particles.setVelocitySpread(0.0, 0.0, 0.0)
            self.particles.setAngularSpread(0.0, 0.0, 0.0)
            self.particles.setEmitControl(arg1, arg2)
            self.particles.setActive(True)
            self.particles.reparentTo(self.camera)
            self.loader.loadModel('particle_system_model')  # Replace with an actual model path
            self.loader.loadPickle('particle_system_effects')  # Replace with an actual pickle path

    app = ParticleSystemApp()
    app.run()



